
	 function getUploader(fileId,valueId,fileList,queueId,uploadCallbackMethod){
		 
		 
		 var fileExt='*.doc;*.docx;*.xls;*.rar;*.zip;*.txt;*.pdf;*.jpg;*.png;*.gif;*.bmp;*.swf;*.xlsx;';
		 
		 $(fileId).uploadify({
				'uploader':'../scripts/jquery/uploadify/uploadify.swf',   
				'script':'uploadFile!uploadAttr.action',   
				'cancelImg':'../images/icons/remove.gif',   
				'removeCompleted':true,
				'queueID':queueId,   
				'width':158,
				'height':24,
	            'auto':false,   
	            'multi':true,
	            'fileExt':fileExt,
 				'buttonImg':'../images/icons/'+i18n['image_upload_icon'],
 				'onSelect':function(e, queueId, fileObj){
 					
 					if(fileExt.indexOf(fileObj.type)==-1){
 						msgAlert(i18n['file_disAllow_upload'],'error');
 						return false;
 					}
 					
 				},
				'onComplete':function(event, queueID, fileObj, response, data){
					
					
					response=eval('('+response+')');
					
					$(valueId).val($(valueId).val()+fileObj.name+"=="+response.msg+"-s-");
					var fileName=response.msg;
					fileName=fileName.substring(fileName.lastIndexOf("/")+1,fileName.lastIndexOf("."))
					var attachIcon="../images/attachicons/unknown.gif";
					var fileFix=fileObj.type;
					if(fileFix==".rar"){
						attachIcon="../images/attachicons/rar.gif";
					}
					if(fileFix==".zip"){
						attachIcon="../images/attachicons/zip.gif";
					}
					if(fileFix==".gif"||fileFix==".jpg"||fileFix==".bmp"||fileFix==".png"){
						attachIcon="../images/attachicons/image.gif";
					}
					if(fileFix==".doc"||fileFix==".docx"||fileFix==".xls"||fileFix==".ppt"||fileFix==".xlsx"){
						attachIcon="../images/attachicons/msoffice.gif";
					}
					if(fileFix==".pdf"){
						attachIcon="../images/attachicons/pdf.gif";
					}
					if(fileFix==".swf"){
						attachIcon="../images/attachicons/flash.gif";
					}
					var htmlCode="<div id='"+fileName+"' ><img width='14px' height='14px' src='"+attachIcon+"' />&nbsp;&nbsp;<a href='"+response.msg+"'>"+fileObj.name+"</a>&nbsp;&nbsp;<a  href=javascript:deleteFile('"+response.msg+"','"+fileList+"','"+valueId+"')>"+i18n['deletes']+"</a><br/>";
					
					if(response.err==""){
						
						$(fileList).append(htmlCode);
					}
					
					if (uploadCallbackMethod) {
						uploadCallbackMethod();
					}
				}
			});			
	 }
	 
	 
	 
	 /**
	  * 删除上传后的文件
	  */
	 function deleteFile(fileName,fileList,valueId){
		 
		fileName=fileName.substring(fileName.lastIndexOf("/")+1);
		var divId=fileName.substring(0,fileName.lastIndexOf("."));
		$("div#"+divId).remove();     //删除匹配元素
		var _url = "uploadFile!deleteFile.action?deleteFileName="+fileName;
		$.post(_url,function(){
		//删除值
		var fileValue=$(valueId).val();
		var newFileValue="";
		var valArr=fileValue.split("-s-");
		for(var i=0;i<valArr.length;i++){
			if(valArr[i].indexOf(fileName)==-1){
				newFileValue=newFileValue+valArr[i]+"-s-"
			}
		}
		
		newFileValue=newFileValue.replace("-s--s-","-s-");
		$(valueId).val(newFileValue);
		})
	 }
	 